Skip to main content
`Ctrl`+`K`

# STResetMatrixState

Resets the stored state of the matrices in the `ST`.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STResetMatrixState(ST st)

Logically Collective

## Input Parameter

- st - the spectral transformation context

## Note

This is useful in solvers where the user matrices are modified during the computation, as in nonlinear inverse iteration. The effect is that `STGetMatrix()` will retrieve the modified matrices as if they were the matrices originally provided by the user.

## See Also

ST: Spectral Transformation, `STGetMatrix()`, `EPSPowerSetNonlinear()`

## Level

developer

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages